package copeServer.impl.gui;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import copeServer.impl.service.ServiceHandler;

public class DiscoveryButtonPanel extends JPanel implements PropertyChangeListener{

	private JTextField manualtf = new JTextField();
	
	private Model model;

	private ServiceHandler serviceHandler;
	
	public DiscoveryButtonPanel(Model model, ServiceHandler serviceHandler) {
		this.model = model;
		this.serviceHandler = serviceHandler;
		model.addPropertyChangeListener(this);
		
		JPanel boxholder = new JPanel();
		boxholder.setLayout(new BoxLayout(boxholder, BoxLayout.PAGE_AXIS));
		boxholder.setBackground(Color.WHITE);
		
		JPanel manual = new JPanel();
		manual.setLayout(new BoxLayout(manual, BoxLayout.PAGE_AXIS));
		manual.setBackground(Color.WHITE);
		manualtf.setPreferredSize(new Dimension(200, 20));
		manual.add(new JLabel("Manual"));
		manual.add(manualtf);
		manualtf.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent arg0) {
				installManual();
			}
		});
//		manualtf.setPreferredSize(new Dimension(250, 20));
		
//		boxholder.add(new JLabel("Discovery"));
		boxholder.add(manual);
		
		this.add(boxholder);
	}

	protected void installManual() {
		serviceHandler.installService(manualtf.getText());
		model.setMessage("Installed New Service");
	}

	public void propertyChange(PropertyChangeEvent arg0) {
		if(arg0.getPropertyName().equalsIgnoreCase("selectedservice")){
			
		}
	}

}
