package copeServer.impl.gui;

import java.awt.Color;
import java.awt.Component;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;
import javax.swing.border.LineBorder;

import org.osgi.framework.Bundle;

import copeServer.impl.service.Service;

public class ServiceRenderer implements ListCellRenderer {

	JLabel ret;
	private ImageIcon active = new ImageIcon("COPE/running.jpg");
	private ImageIcon resolved = new ImageIcon("COPE/stopped.jpg");
	private ImageIcon installed = new ImageIcon("COPE/broken.jpg");
	
	public Component getListCellRendererComponent(JList list, Object object, int index, boolean isSelected, boolean callHasFocus) {
		ret = new JLabel();
		Service service = (Service)object;
		
		ret.setText(service.getName());
		
		if(service.getState()==Bundle.ACTIVE)
			ret.setIcon(active);
		else if(service.getState()==Bundle.RESOLVED)
			ret.setIcon(resolved);
		else if(service.getState()==Bundle.INSTALLED)
			ret.setIcon(installed);
		
		ret.setBorder(new LineBorder(isSelected ? Color.BLACK : Color.WHITE));
		
		return ret;
	}

}
