package copeService.impl;

import java.util.Dictionary;
import java.util.Hashtable;

import org.osgi.framework.BundleContext;
import org.osgi.framework.Constants;
import org.osgi.framework.ServiceRegistration;
import org.osgi.service.cm.ConfigurationException;
import org.osgi.service.cm.ManagedService;

import soundService.ServiceInterface;
import soundService.impl.Service;



public class ServiceManaged extends Service implements ManagedService, ServiceInterface {

	private Hashtable props;
	private ServiceRegistration registration;
	
	public ServiceManaged(BundleContext context){
		props = new Hashtable();
		props.put(Constants.SERVICE_PID,"weatherService"+this.getClass().getName());
		props.put("SOAP.service.name","weatherservice");
		
	}
	
	public synchronized void open(BundleContext context) {
		System.out.print("Registering with framework... ");
		registration = context.registerService(
				"weatherService.ServiceInterface",
				((ServiceInterface)this),
				props
				);
		
	}
	
	public void updated(Dictionary arg0) throws ConfigurationException {
		
	}
	
	/**
	 * Used for unloading the CoPE bundle
	 * Stores session
	 */
	
	public void unload(){
		registration.unregister();
	}
	
}
