package smsService.impl;

import java.math.BigDecimal;
import java.net.URL;

import javax.xml.namespace.QName;

import org.apache.axis.client.Call;
import org.apache.axis.types.URI;

import smsService.ServiceInterface;

public class Service implements ServiceInterface {

	public Service() {
	}

	public void ping() {
		System.out.println("received ping");
	}

	public void sendSms(String text, String number) {
		try {
			System.out.println("Want to send SMS (" + text + ") to " + number);

			String endpoint = "http://csfdemo.pats.no/dcsd-sg/services/SendSms";

			org.apache.axis.client.Service service = new org.apache.axis.client.Service();

			Call call = (Call) service.createCall();
			call.setUsername("text_px");
			call.setPassword("text_px");

			URI[] addresses = new org.apache.axis.types.URI[1];
			addresses[0] = new org.apache.axis.types.URI("tel", number);

			ChargingInformation ci = new ChargingInformation();
			ci.setDescription("testing");
			ci.setCurrency("");
			ci.setAmount(new BigDecimal("0"));
			ci.setCode("contentBand=FREE;caseId=5555");

			call.setTargetEndpointAddress(new URL(endpoint));
			call.setOperationName(new QName("sendSms"));

			call.invoke(new Object[] { addresses, "", ci, text });
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
