package soundProxy;

import java.util.Properties;

public interface ServiceInterface {
	public void setURL(String url);
	public void ping();
	public void connect(String description, String source, String target);
	public void disconnect(String description, String source, String target);
	public void setID(long id);
	public void event(String description, Object oldValue, Object newValue);
	public Properties getDescription();
	public void openInterface();
	public String getName();
	public String getURL();
	public String getIconPath();
	
}
