package soundService.impl;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import soundService.impl.ServiceManaged;

public class ServiceActivator implements BundleActivator {
	
	static BundleContext bc;
	ServiceManaged mService;
	
	public void start(BundleContext arg0) throws Exception {
		bc=arg0;
		mService = new ServiceManaged(bc);
		mService.open(bc);
		
		System.out.println("Sound Service loaded !");
	}
	
	/* (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		mService.unload();
		System.out.println("Sound Service unloaded !");
	}
	
}
