package voiceProxy.impl;

import java.io.Serializable;
import java.net.URL;

import javax.xml.namespace.QName;

import org.apache.axis.client.Call;
import org.apache.axis.client.Service;

public class Communicator implements Serializable{

	public static Object sendRequest(String url, String method, Object[] args){
		Object result = null;
			try {
				String endpoint = url;
				
				Service  service = new Service();
				Call call = (Call) service.createCall();
				
				call.setTargetEndpointAddress(new URL(endpoint));
				call.setOperationName(new QName(method));
				
				result = call.invoke(args);
				return result;
			} catch (Exception e) {
				e.printStackTrace();
			}

		return result;
	}
}
