package alarmService;

public interface ServiceInterface {
	public void connect(String description, String source, String target);
	public void disconnect(String description, String source, String target);
	
	public void sendAlarm(String alarm, String source);
	
	/* These methods are for PROXY SERVICE'S GUI */
	public void subscribe(String address);
	public void unsubscribe(String address);
	public void updateService(String source, String outputConnection, String address);
}
