package colorProxy.impl;

import java.util.Dictionary;
import java.util.Hashtable;

import org.osgi.framework.BundleContext;
import org.osgi.framework.Constants;
import org.osgi.framework.ServiceRegistration;
import org.osgi.service.cm.ConfigurationException;
import org.osgi.service.cm.ManagedService;

import colorProxy.ServiceInterface;

public class ServiceManaged extends Service implements ManagedService {

	private Hashtable props;

	private ServiceRegistration registration;

	public ServiceManaged(BundleContext context) {

		icon = context.getDataFile("/icon.png");

		props = new Hashtable();
		props.put(Constants.SERVICE_PID, "colorProxy"
				+ this.getClass().getName());
		props.put("SOAP.service.name", "colorproxy");

	}

	public synchronized void open(BundleContext context) {
		System.out.print("Registering with framework... ");
		registration = context.registerService("colorProxy.ServiceInterface",
				((ServiceInterface) this), props);

	}

	public void updated(Dictionary arg0) throws ConfigurationException {

	}

	/**
	 * Used for unloading the CoPE bundle Stores session
	 */

	public void unload() {
		registration.unregister();
		if(main!=null)
			main.dispose();
	}

}
