package copeServer.impl;

import java.util.Dictionary;
import java.util.Hashtable;

import org.osgi.framework.BundleContext;
import org.osgi.framework.Constants;
import org.osgi.framework.ServiceRegistration;
import org.osgi.service.cm.ConfigurationException;
import org.osgi.service.cm.ManagedService;

import copeServer.COPEi;

public class COPEManaged extends COPE implements ManagedService {

	private Hashtable props;
	private ServiceRegistration registration;
	
	public COPEManaged(BundleContext context){
		init(context);
		props = new Hashtable();
		props.put(Constants.SERVICE_PID,"copeServer.impl"+this.getClass().getName());
		props.put("SOAP.service.name","copeserver");
		
	}
	
	public synchronized void open(BundleContext context) {
		System.out.print("Registering with framework... ");
		registration = context.registerService(
				"copeServer.COPEi",
				((COPEi)this),
				props
				);
	}
	
	public void updated(Dictionary arg0) throws ConfigurationException {
		
	}
	
	/**
	 * Used for unloading the CoPE bundle
	 * Stores session
	 */
	
	public void unload(){
		exit(true);
		registration.unregister();
	}
	
	
}
