package copeServer.impl.device;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class Device {
	
	private int height;
	private int width;
	private String ip;
	
	public Device(){
		initTestCase();
	}
	
	/**
	 * Following function is for testcase only.
	 * Initiating CoPE should gather information
	 * about the device it is running on.
	 *
	 */
	public void initTestCase(){
		height = 600;
		width = 400;
		try {
			BufferedReader br = new BufferedReader(new FileReader("COPE/ip.txt"));
			ip = br.readLine();
			br.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public String getIp(){
		return ip;
	}
	
	public int getHeight() {
		return height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public int getWidth() {
		return width;
	}

	public void setWidth(int width) {
		this.width = width;
	}
	
}
