package copeServer.impl.gui;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import javax.swing.JLabel;
import javax.swing.JPanel;

public class StatusBar extends JPanel implements PropertyChangeListener{
	
	private JLabel text = new JLabel("");
	
	private Model model;
	
	public StatusBar(Model model){
		this.model = model;
		this.model.addPropertyChangeListener(this);
		this.add(text);
	}

	public void setText(String txt){
		this.text.setText(txt);
	}

	public void propertyChange(PropertyChangeEvent arg0) {
		if(arg0.getPropertyName().equalsIgnoreCase("message")){
			setText((String)arg0.getNewValue());
			updateUI();
		}
	}
	
}
