package soundService.impl;

import java.util.ArrayList;
import java.util.List;


public class MIDIInstruments  {
    
    public String[][] instruments = new String[][]{
        {"0", "Pianos", "Acoustic Grand Piano", "ACOUSTIC_GRAND"},
        {"1", "Pianos", "Bright Acoustic Piano", "BRIGHT_ACOUSTIC"},
        {"2", "Pianos", "Electric Grand Piano", "ELECTRIC_GRAND"},
        {"3", "Pianos", "Honky-tonk Piano", "HONKEY_TONK"},
        {"4", "Pianos", "Rhodes Piano", "ELECTRIC_PIANO_1"},
        {"5", "Pianos", "Chorused Piano", "ELECTRIC_PIANO_2"},
        {"6", "Pianos", "Harpsichord", "HARPISCHORD"},
        {"7", "Pianos", "Clavinet", "CLAVINET"},
        {"8", "Tuned Idiophones", "Celesta", "CELESTA"},
        {"9", "Tuned Idiophones", "Glockenspiel", "GLOCKENSPIEL"},
        {"10", "Tuned Idiophones", "Music Box", "MUSIC_BOX"},
        {"11", "Tuned Idiophones", "Vibraphone", "VIBRAPHONE"},
        {"12", "Tuned Idiophones", "Marimba", "MARIMBA"},
        {"13", "Tuned Idiophones", "Xylophone", "XYLOPHONE"},
        {"14", "Tuned Idiophones", "Tubular Bells", "TUBULAR_BELLS"},
        {"15", "Tuned Idiophones", "Dulcimer", "DULCIMER"},
        {"16", "Organs", "Hammond Organ", "DRAWBAR_ORGAN"},
        {"17", "Organs", "Percussive Organ", "PERCUSSIVE_ORGAN"},
        {"18", "Organs", "Rock Organ", "ROCK_ORGAN"},
        {"19", "Organs", "Church Organ", "CHURCH_ORGAN"},
        {"20", "Organs", "Reed Organ", "REED_ORGAN"},
        {"21", "Organs", "Accordion", "ACCORIDAN"},
        {"22", "Organs", "Harmonica", "HARMONICA"},
        {"23", "Organs", "Tango Accordion", "TANGO_ACCORDIAN"},
        {"24", "Guitars", "Acoustic Guitar (nylon)", "GUITAR"},
        {"25", "Guitars", "Acoustic Guitar (steel)", "STEEL_STRING_GUITAR"},
        {"26", "Guitars", "Electric Guitar (jazz)", "ELECTRIC_JAZZ_GUITAR"},
        {"27", "Guitars", "Electric Guitar (clean)", "ELECTRIC_CLEAN_GUITAR"},
        {"28", "Guitars", "Electric Guitar (muted)", "ELECTRIC_MUTED_GUITAR"},
        {"29", "Guitars", "Overdriven Guitar", "OVERDRIVEN_GUITAR"},
        {"30", "Guitars", "Distortion Guitar", "DISTORTION_GUITAR"},
        {"31", "Guitars", "Guitar Harmonics", "GUITAR_HARMONICS"},
        {"32", "Basses", "Acoustic Bass", "ACOUSTIC_BASS"},
        {"33", "Basses", "Electric Bass (finger)", "ELECTRIC_BASS_FINGER"},
        {"34", "Basses", "Electric Bass (pick)", "ELECTRIC_BASS_PICK"},
        {"35", "Basses", "Fretless Bass", "FRETLESS_BASS"},
        {"36", "Basses", "Slap Bass 1", "SLAP_BASS_1"},
        {"37", "Basses", "Slap Bass 2", "SLAP_BASS_2"},
        {"38", "Basses", "Synth Bass 1", "SYNTH_BASS_1"},
        {"39", "Basses", "Synth Bass 2", "SYNTH_BASS_2"},
        {"40", "Strings and Timpani", "Violin", "VIOLIN"},
        {"41", "Strings and Timpani", "Viola", "VIOLA"},
        {"42", "Strings and Timpani", "Cello", "CELLO"},
        {"43", "Strings and Timpani", "Contrabass", "CONTRABASS"},
        {"44", "Strings and Timpani", "Tremolo Strings", "TREMOLO_STRINGS"},
        {"45", "Strings and Timpani", "Pizzicato Strings", "PIZZICATO_STRINGS"},
        {"46", "Strings and Timpani", "Orchestral Harp", "ORCHESTRAL_STRINGS"},
        {"47", "Strings and Timpani", "Timpani", "TIMPANI"},
        {"48", "Ensemble Strings and Voices", "String Ensemble 1", "STRING_ENSEMBLE_1"},
        {"49", "Ensemble Strings and Voices", "String Ensemble 2", "STRING_ENSEMBLE_2"},
        {"50", "Ensemble Strings and Voices", "SynthStrings 1", "SYNTHSTRINGS_1"},
        {"51", "Ensemble Strings and Voices", "SynthStrings 2", "SYNTHSTRINGS_2"},
        {"52", "Ensemble Strings and Voices", "Choir Aahs", "CHOIR_AAHS"},
        {"53", "Ensemble Strings and Voices", "Voice Oohs", "VOICE_OOHS"},
        {"54", "Ensemble Strings and Voices", "Synth Voice", "SYNTH_VOICE"},
        {"55", "Ensemble Strings and Voices", "Orchestra Hit", "ORCHESTRA_HIT"},
        {"56", "Brass", "Trumpet", "TRUMPET"},
        {"57", "Brass", "Trombone", "TROMBONE"},
        {"58", "Brass", "Tuba", "TUBA"},
        {"59", "Brass", "Muted Trumpet", "MUTED_TRUMPET"},
        {"60", "Brass", "French Horn", "FRENCH_HORN"},
        {"61", "Brass", "Brass Section", "BRASS_SECTION"},
        {"62", "Brass", "Synth Brass 1", "SYNTHBRASS_1"},
        {"63", "Brass", "Synth Brass 2", "SYNTHBRASS_2"},
        {"64", "Reeds", "Soprano Sax", "SOPRANO_SAX"},
        {"65", "Reeds", "Alto Sax", "ALTO_SAX"},
        {"66", "Reeds", "Tenor Sax", "TENOR_SAX"},
        {"67", "Reeds", "Baritone Sax", "BARITONE_SAX"},
        {"68", "Reeds", "Oboe", "OBOE"},
        {"69", "Reeds", "English Horn", "ENGLISH_HORN"},
        {"70", "Reeds", "Bassoon", "BASSOON"},
        {"71", "Reeds", "Clarinet", "CLARINET"},
        {"72", "Pipes", "Piccolo", "PICCOLO"},
        {"73", "Pipes", "Flute", "FLUTE"},
        {"74", "Pipes", "Recorder", "RECORDER"},
        {"75", "Pipes", "Pan Flute", "PAN_FLUTE"},
        {"76", "Pipes", "Bottle Blow", "BLOWN_BOTTLE"},
        {"77", "Pipes", "Shakuhachi", "SKAKUHACHI"},
        {"78", "Pipes", "Whistle", "WHISTLE"},
        {"79", "Pipes", "Ocarina", "OCARINA"},
        {"80", "Synth Leads", "Lead 1 (square)", "LEAD_SQUARE"},
        {"81", "Synth Leads", "Lead 2 (sawtooth)", "LEAD_SAWTOOTH"},
        {"82", "Synth Leads", "Lead 3 (calliope lead)", "LEAD_CALLIOPE"},
        {"83", "Synth Leads", "Lead 4 (chiff lead)", "LEAD_CHIFF"},
        {"84", "Synth Leads", "Lead 5 (charang)", "LEAD_CHARANG"},
        {"85", "Synth Leads", "Lead 6 (voice)", "LEAD_VOICE"},
        {"86", "Synth Leads", "Lead 7 (fifths)", "LEAD_FIFTHS"},
        {"87", "Synth Leads", "Lead 8 (bass + lead)", "LEAD_BASSLEAD"},
        {"88", "Synth Pads", "Pad 1 (new age)", "PAD_NEW_AGE"},
        {"89", "Synth Pads", "Pad 2 (warm)", "PAD_WARM"},
        {"90", "Synth Pads", "Pad 3 (polysynth)", "PAD_POLYSYNTH"},
        {"91", "Synth Pads", "Pad 4 (choir)", "PAD_CHOIR"},
        {"92", "Synth Pads", "Pad 5 (bowed)", "PAD_BOWED"},
        {"93", "Synth Pads", "Pad 6 (metallic)", "PAD_METALLIC"},
        {"94", "Synth Pads", "Pad 7 (halo)", "PAD_HALO"},
        {"95", "Synth Pads", "Pad 8 (sweep)", "PAD_SWEEP"},
        {"96", "Musical Effects", "FX 1 (train)", "FX_RAIN"},
        {"97", "Musical Effects", "FX 2 (soundtrack)", "FX_SOUNDTRACK"},
        {"98", "Musical Effects", "FX 3 (crystal)", "FX_CRYSTAL"},
        {"99", "Musical Effects", "FX 4 (atmosphere)", "FX_ATMOSPHERE"},
        {"100", "Musical Effects", "FX 5 (brightness)", "FX_BRIGHTNESS"},
        {"101", "Musical Effects", "FX 6 (goblins)", "FX_GOBLINS"},
        {"102", "Musical Effects", "FX 7 (echoes)", "FX_ECHOES"},
        {"103", "Musical Effects", "FX 8 (sci-fi)", "FX_SCI_FI"},
        {"104", "Ethnic", "Sitar", "SITAR"},
        {"105", "Ethnic", "Banjo", "BANJO"},
        {"106", "Ethnic", "Shamisen", "SHAMISEN"},
        {"107", "Ethnic", "Koto", "KOTO"},
        {"108", "Ethnic", "Kalimba", "KALIMBA"},
        {"109", "Ethnic", "Bagpipe", "BAGPIPE"},
        {"110", "Ethnic", "Fiddle", "FIDDLE"},
        {"111", "Ethnic", "Shanai", "SHANAI"},
        {"112", "Percussion", "Tinkle Bell", "TINKLE_BELL"},
        {"113", "Percussion", "Agogo", "AGOGO"},
        {"114", "Percussion", "Steel Drums", "STEEL_DRUMS"},
        {"115", "Percussion", "Woodblock", "WOODBLOCK"},
        {"116", "Percussion", "Taiko Drum", "TAIKO_DRUM"},
        {"117", "Percussion", "Melodic Tom", "MELODIC_TOM"},
        {"118", "Percussion", "Synth Drum", "SYNTH_DRUM"},
        {"119", "Percussion", "Reverse Cymbal", "REVERSE_CYMBAL"},
        {"120", "Sound Effects", "Guitar Fret Noise", "GUITAR_FRET_NOISE"},
        {"121", "Sound Effects", "Breath Noise", "BREATH_NOISE"},
        {"122", "Sound Effects", "Seashore", "SEASHORE"},
        {"123", "Sound Effects", "Bird Tweet", "BIRD_TWEET"},
        {"124", "Sound Effects", "Telephone Ring", "TELEPHONE_RING"},
        {"125", "Sound Effects", "Helicopter", "HELICOPTER"},
        {"126", "Sound Effects", "Applause", "APPLAUSE"},
        {"127", "Sound Effects", "Gunshot", "GUNSHOT"}
    };
    
    public MIDIInstruments() { }

    public String[] getCatgories() {
    	String[] cats = new String[instruments.length];
    	for (int i = 0; i < cats.length; i++) {
			cats[i] = instruments[i][1];
		}
    	return cats;
    }
    
    public String[] getInstrumentNames() {
    	String[] insNames = new String[instruments.length];
    	for (int i = 0; i < insNames.length; i++) {
    		insNames[i] = instruments[i][2];
		}
    	return insNames;
    }
    
    public String[] getInstrumentsForCategory(String category) {
    	List insForCat = new ArrayList();
    	
    	for (int i = 0; i < instruments.length; i++) {
			if(instruments[i][1].equalsIgnoreCase(category))
				insForCat.add(instruments[i][2]);
		}
    	
    	return (String[]) insForCat.toArray();
    }
    
    public String getInstrumentConstant(String name) {
    	for (int i = 0; i < instruments.length; i++) {
			if(instruments[i][2].equalsIgnoreCase(name))
				return instruments[i][3];
		}
    	return "ACOUSTIC_GRAND";
    }
}

