package weatherService;

public interface ServiceInterface {
	public void connect(String description, String source, String target);
	public void disconnect(String description, String source, String target);

	/* These methods are for PROXY SERVICE'S GUI */
	public void subscribe(String address);
	public void unsubscribe(String address);
	public Object[] getWeather();
	public void updateWeather(String[] headers, String[] values);
}
